# $Revision: 1.8.2.1 $, $Date: 2003/03/13 00:58:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Manifest
Summary:	Test::Manifest - interact with a t/test_manifest file
Summary(pl):	Test::Manifest - wsppraca z plikiem t/test_manifest
Name:		perl-Test-Manifest
Version:	0.91
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MakeMaker assumes that you want to run all of the .t files in the t/
directory in ascii-betical order during make test unless you say
otherwise.  This leads to some interesting naming schemes for test files
to get them in the desired order.

%description -l pl
MakeMaker zakada, e chcemy podczas make test uruchamia wszystkie
pliki .t z katalogu t/ w kolejnoci asciibetycznej, o ile nie podamy
innej kolejnoci. To prowadzi do interesujcych schematw nazywania
plikw z testami, aby byy wykonywane we waciwej kolejnoci.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/Test/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Test-Manifest.spec,v $
Revision 1.8.2.1  2003/03/13 00:58:54  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.8  2003/02/25 00:42:33  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:38:37  ankry
- massive attack: change CPAN URLs

Revision 1.6  2003/01/15 18:35:04  mis
- autoupdated to 0.91

Revision 1.5  2002/10/18 01:29:48  ankry
- version 0.9 : removed unnecessary dependencies

Revision 1.4  2002/10/06 08:59:42  ankry
- version 0.8 (new methods, more tests)

Revision 1.3  2002/08/26 22:12:58  radek
- BR: perl-Text-Diff

Revision 1.2  2002/08/26 16:20:01  qboosh
- pl description

Revision 1.1  2002/08/25 16:00:07  radek
- new, STBR
